#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 quickcheck-instances
version:              0.3.30
visibility:           public
id:                   quickcheck-instances-0.3.30-6t9K2fHTW7121Pl8VUe83A
key:                  quickcheck-instances-0.3.30-6t9K2fHTW7121Pl8VUe83A
license:              BSD-3-Clause
copyright:            Copyright 2012-2016 Antoine Latter, 2017-2019 Oleg Grenrus
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:
    Antoine Latter <aslatter@gmail.com>, Oleg Grenrus <oleg.grenrus@iki.fi>

homepage:             https://github.com/haskellari/qc-instances
synopsis:             Common quickcheck instances
description:
    QuickCheck instances.

    The goal is to supply QuickCheck instances for
    types provided by the Haskell Platform.

    Since all of these instances are provided as
    orphans, I recommend that you do not use this library
    within another library module, so that you don'\''t
    impose these instances on down-stream consumers of
    your code.

category:             Testing
abi:                  e08c74f827c314872fbb2a07aaae9963
exposed:              True
exposed-modules:
    Test.QuickCheck.Instances Test.QuickCheck.Instances.Array
    Test.QuickCheck.Instances.Array.Byte
    Test.QuickCheck.Instances.ByteString
    Test.QuickCheck.Instances.CaseInsensitive
    Test.QuickCheck.Instances.Containers
    Test.QuickCheck.Instances.DataFix
    Test.QuickCheck.Instances.Hashable
    Test.QuickCheck.Instances.Natural Test.QuickCheck.Instances.OldTime
    Test.QuickCheck.Instances.Primitive
    Test.QuickCheck.Instances.Scientific
    Test.QuickCheck.Instances.Semigroup Test.QuickCheck.Instances.Solo
    Test.QuickCheck.Instances.Strict Test.QuickCheck.Instances.Tagged
    Test.QuickCheck.Instances.Text Test.QuickCheck.Instances.Text.Short
    Test.QuickCheck.Instances.These Test.QuickCheck.Instances.Time
    Test.QuickCheck.Instances.Transformer
    Test.QuickCheck.Instances.UUID
    Test.QuickCheck.Instances.UnorderedContainers
    Test.QuickCheck.Instances.Vector Test.QuickCheck.Instances.Void

hidden-modules:       Test.QuickCheck.Instances.CustomPrelude
import-dirs:          /usr/lib/ghc-9.4.8/site-local/quickcheck-instances-0.3.30
library-dirs:         /usr/lib/ghc-9.4.8/site-local/quickcheck-instances-0.3.30
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/quickcheck-instances-0.3.30
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quickcheck-instances
hs-libraries:         HSquickcheck-instances-0.3.30-6t9K2fHTW7121Pl8VUe83A
depends:
    OneTuple-0.4.2-Be3XpGdo8NrK2Vfg2Us0CF
    QuickCheck-2.14.3-ErwepKtibZRAZpHWEytr6k array-0.5.4.0
    base-4.17.2.1 bytestring-0.11.5.3
    case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A containers-0.6.7
    data-fix-0.3.3-Ae95BGkNJ6M2ZtAewHkPPT
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    integer-logarithms-1.0.4-3KykMZco07p3J5jmtnUVJ0
    old-time-1.1.0.4-7kNg8VzooGoExH4yeT9sv9
    primitive-0.8.0.0-AkaLl3oBd0zGZjVVLiSfZ
    scientific-0.3.7.0-DwkyUZDto8HBcE8Qta7EYb
    splitmix-0.1.0.5-Gv7LNydhvk3EUdBDv3iOED
    strict-0.5-10nf0ubOWbiAaNZcq9iqTp
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C text-2.0.2
    text-short-0.1.6-KPkbbV7E8OED6xXNtzyluq
    these-1.2-LqJZt1u9PFXJPvULQw3irF time-1.12.2
    time-compat-1.9.6.1-AhS4TINws0qImQeu913zEV transformers-0.5.6.2
    transformers-compat-0.7.2-F1TSDgHxVH372cWL2D3XnQ
    unordered-containers-0.2.20-6j2GAGNbaJu7CXoZ5IjX0N
    uuid-types-1.0.6-DkPBhyspYXYDPvvoSgg6b4
    vector-0.13.2.0-EmsVweixOBx5SizhJaK3bm

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-instances/html/quickcheck-instances.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-instances/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

